[tool.poetry]
name = "ska-sdp-scripting"
version = "1.0.0"
description = "SKA SDP Scripting Library"
authors = ["SKA SDP Developers"]
repository = "https://gitlab.com/ska-telescope/sdp/ska-sdp-scripting"
documentation = "https://developer.skao.int/projects/ska-sdp-scripting/en/latest/"
license = "BSD-3-Clause"

[[tool.poetry.source]]
name = "PyPI"
priority = "primary"

[[tool.poetry.source]]
name = "skao"
url = "https://artefact.skao.int/repository/pypi-internal/simple"
priority = "primary"

[tool.poetry.dependencies]
python = "^3.10"
distributed = "^2022.1.0"
ska-ser-logging = "^0.4.3"
ska-telmodel = "^1.20.0"
tornado = "^6.4"
ska-sdp-config = "^1.0.0"

[tool.poetry.group.dev.dependencies]
black = "^24.10"
build = "^1.2"
flake8 = "^7.1"
isort = "^5.13"
pylint = "^3.3"
pylint-junit = "^0.3"
pytest = "^8.3"
pytest-cov = "^6.0"
pytest-mock = "^3.14"

[tool.poetry.group.docs.dependencies]
autodoc-pydantic = "^2.2.0"
ska-ser-sphinx-theme = "^0.2.1"
sphinx = "^8.1.3"
sphinx-copybutton = "^0.5.2"
sphinx-paramlinks = "^0.6.0"

[tool.pylint.message_control]
enable = [
    'useless-suppression'
]

[tool.pylint.similarities]
min-similarity-lines = 10
max-args = 7
max-positional-arguments = 7

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
